#
# Your crowdin's credentials
#
"project_identifier" : "openspades"
"api_key" : ""
"base_path" : ""
#"base_url" : ""

#
# Choose file structure in crowdin
# e.g. true or false
#
"preserve_hierarchy": false

#
# Files configuration
#
files: [
 {
  #
  # Source files filter
  # e.g. "/resources/en/*.json"
  #
  "source" : "/Resources/Locales/pot/openspades.pot",

  #
  # where translations live
  # e.g. "/resources/%two_letters_code%/%original_file_name%"
  #
  "translation" : "/Resources/Locales/%locale_with_underscore%/openspades.po",

  #
  # files or directories for ignore
  # e.g. ["/**/?.txt", "/**/[0-9].txt", "/**/*\?*.txt"]
  #
  #"ignore" : [],

  #
  # The dest allows you to specify a file name on Crowdin
  # e.g. "/messages.json"
  #
  "dest" : "/master/openspades.pot",

  #
  # File type
  # e.g. "json"
  #
  #"type" : "",

  #
  # The parameter "update_option" is optional. If it is not set, translations for changed strings will be lost. Useful for typo fixes and minor changes in source strings.
  # e.g. "update_as_unapproved" or "update_without_changes"
  #
  #"update_option" : "",

  #
  # Start block only for XML
  #

  #
  # Defines whether to translate tags attributes.
  # e.g. 0 or 1  (Default is 1)
  #
  # "translate_attributes" : 1,

  #
  # Defines whether to translate texts placed inside the tags.
  # e.g. 0 or 1 (Default is 1)
  #
  # "translate_content" : 1,

  #
  # This is an array of strings, where each item is the XPaths to DOM element that should be imported
  # e.g. ["/content/text", "/content/text[@value]"]
  #
  # "translatable_elements" : [],

  #
  # Defines whether to split long texts into smaller text segments.
  # e.g. 0 or 1 (Default is 1)
  #
  # "content_segmentation" : 1,

  #
  # End block only for XML
  #

  #
  # Start .properties block
  #

  #
  # Defines whether single quote should be escaped by another single quote or backslash in exported translations.
  # e.g. 0 or 1 or 2 or 3 (Default is 3)
  # 0 - do not escape single quote;
  # 1 - escape single quote by another single quote;
  # 2 - escape single quote by backslash;
  # 3 - escape single quote by another single quote only in strings containing variables ( {0} ).
  #
  # "escape_quotes" : 3,

  #
  # End .properties block
  #

  #
  # Often software projects have custom names for locale directories. crowdin-cli allows you to map your own languages to be understandable by Crowdin.
  #
  "languages_mapping" : {
    "locale_with_underscore" : {
      "de_DE": "de",
      "es_ES": "es",
      "fr_FR": "fr",
      "it_IT": "it",
      "ja_JP": "ja",
      "ko_KR": "ko",
      "nl_NL": "nl",
      "pl_PL": "pl",
      "pt_PT": "pt_pt",
      "pt_BR": "pt_br",
      "ru_RU": "ru",
      "uk_UA": "uk"
     }
  },

  #
  # Is first line contains header?
  # e.g. true or false
  #
  #"first_line_contains_header" : true,

  #
  # for spreadsheets
  # e.g. "identifier,source_phrase,context,uk,ru,fr"
  #
  # "scheme" : "",
 }
]
